using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Administration
{
    public class ComplexPlayer : SimplePlayer
    {
        public ComplexPlayer(ulong id, string login, string name)
            : base(id, login, name)
        {
            this.ships = new List<SimpleFortress>();
            this.bases = new List<SimpleFortress>();
        }

        public ComplexPlayer() : base()
        {
            ships = new List<SimpleFortress>();
            bases = new List<SimpleFortress>();
        }

        private string mail;

        public string Mail
        {
            get
            {
                return mail;
            }
            set
            {
                mail = value;
            }
        }

        private List<SimpleFortress> ships;
        private List<SimpleFortress> bases;

        public List<SimpleFortress> Ships
        {
            get
            {
                return ships;
            }
        }

        public List<SimpleFortress> Bases
        {
            get
            {
                return bases;
            }
        }
    }
}
